Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 477948 - Review Request: simple-ccsm - Simplified plugin and configuration tool - Compiz Fusion Project
Summary: Review Request: simple-ccsm - Simplified plugin and configuration tool - Comp...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-12-26 08:50 UTC by Izhar Firdaus
Modified: 2010-07-31 23:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-31 23:52:55 UTC


Attachments (Terms of Use)

Description Izhar Firdaus 2008-12-26 08:50:47 UTC
Spec URL: http://izhar.fedorapeople.org/simple-ccsm/simple-ccsm.spec
SRPM URL: http://izhar.fedorapeople.org/simple-ccsm/simple-ccsm-0.7.8-1.fc10.src.rpm
Description: 

The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a simplified gui configuration tool to
configure Compiz plugins and the composite window manager.

Comment 1 Fabian Affolter 2009-04-20 07:45:08 UTC
Just some quick comments on your spec file.  I did only a 'look-at-it' review.

- License is GPLv2+ (or (at your option) any later version) not GPLv2.  Mentioned in the LICENSE file and the source header.  PKG-INFO says GPL. 
- Is there no URL for Source0? If not, can you please describe the generation of the source tarball as mentioned in the guidelines.
- Isn't 'BR: gettext' a duplicate?  'intltool' requires 'gettext' already.
- INSTALL says '...depends on Python and PyGTK'.  
- Isn't 'Requires: hicolor-icon-theme' is missing?
- '--vendor="fedora"' is no longer needed for new packages
  https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

Version 0.8.3 was released some weeks ago.
http://gitweb.compiz-fusion.org/?p=compiz/compizconfig/ccsm;a=commit;h=2deb7e7194ddae144c98ea2cbef7e40f2d468b33

Comment 2 Christoph Wickert 2009-04-29 21:44:55 UTC
(In reply to comment #1)
> - Isn't 'BR: gettext' a duplicate?  'intltool' requires 'gettext' already.

It's not really needed but it's a close following of the packging guidelines that say: "If the package includes translations, add BuildRequires: gettext."

> - INSTALL says '...depends on Python and PyGTK'.  
> - Isn't 'Requires: hicolor-icon-theme' is missing?

No, because pygtk requires gtk2 requires hicolor-icon-theme.

Comment 3 Jason Tibbitts 2009-11-13 00:59:16 UTC
Wow, there's been no response to review commentary in nearly eleven months; I guess I'll close this soon if there's no further response.

Comment 4 Mohd Izhar Firdaus Ismail 2009-11-13 03:53:59 UTC
eek

sorry i totally forgotten i submitted this >.<

seems like i need to update it to 0.8.2 first ..

Comment 5 Mohd Izhar Firdaus Ismail 2009-11-14 06:30:39 UTC
added 0.8.2 (because compiz in fedora is 0.8.2)

http://izhar.fedorapeople.org/simple-ccsm/simple-ccsm.spec
http://izhar.fedorapeople.org/simple-ccsm/simple-ccsm-0.8.2-1.fc12.src.rpm

- update to 0.8.2
- added requires pygtk
- changed license to GPLv2+
- gdk.threads_init caused simple-ccsm 0.8.2 to hang, remove it for now

Comment 6 Julian Aloofi 2009-11-18 15:32:07 UTC
OK, I'm taking this. rpmlint output on the spec file is clean so far, a full review is coming soon.

Comment 7 Julian Aloofi 2009-11-18 17:44:17 UTC
rpmlint output is clean.
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. N/A
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. N/A
SHOULD: The package builds in mock.
- successfully builds in mock for fedora-12-i386, fedora-rawhide-i386 and fedora-11-i386


NOTE: The package must Require: compiz-fusion, as it won't run without compiz and compiz-fusion

Comment 8 Christoph Wickert 2009-11-18 22:09:38 UTC
SHOULD: If scriptlets are used, those scriptlets must be sane. FIX:
Please update the icon-cache scriptlets to the latest version from
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Comment 9 Julian Aloofi 2009-11-28 00:15:07 UTC
Ping?

Comment 10 Julian Aloofi 2010-01-25 12:14:54 UTC
You're still alive?

Comment 11 Julian Aloofi 2010-03-28 08:58:08 UTC
Mohd are you still working on this package?


Note You need to log in before you can comment on or make changes to this bug.